AquaMapsPortletRemoteService (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.client.rpc

## Interface AquaMapsPortletRemoteService

- All Superinterfaces:
    com.google.gwt.user.client.rpc.RemoteService
  All Known Implementing Classes:
    AquaMapsPortletRemoteImpl

      @RemoteServiceRelativePath(value="AquaMapsPortletRemoteService")
      public interface AquaMapsPortletRemoteService
      extends com.google.gwt.user.client.rpc.RemoteService

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GISViewerParameters` | `checkGIS(int job)`
    `Integer` | `deleteSubmittedById(List<Integer> submittedId)`
    `ClientObject` | `getAquaMapsObject(int id, boolean fetchInDb)`
    `ClientEnvelope` | `getEnvelope(String speciesId, boolean loadCustomization)`
    `ClientEnvelope` | `reCalculateEnvelopeFromCellIds(List<String> cellsId, String SpeciesId)`
    `ClientEnvelope` | `reCalculateGoodCells(String bb, String faoSelection, String speciesId, boolean useBottom, boolean useBounding, boolean useFAO)`
    `Integer` | `saveAquaMapsItem(List<Integer> objectId, String name, String destinationBasketId)`
    `Msg` | `saveLayerItem(String url, String mimeType, String name, String destinationBasketId)`
    `Msg` | `submitJob(String title)`

- - ### Method Detail

    - #### submitJob

          Msg submitJob(String title)
                        throws Exception

      Throws:
        `Exception`

    - #### getAquaMapsObject

          ClientObject getAquaMapsObject(int id,
                                       boolean fetchInDb)
                                         throws Exception

      Throws:
        `Exception`

    - #### getEnvelope

          ClientEnvelope getEnvelope(String speciesId,
                                   boolean loadCustomization)
                                     throws Exception

      Throws:
        `Exception`

    - #### saveAquaMapsItem

          Integer saveAquaMapsItem(List<Integer> objectId,
                                 String name,
                                 String destinationBasketId)
                                   throws Exception

      Throws:
        `Exception`

    - #### saveLayerItem

          Msg saveLayerItem(String url,
                          String mimeType,
                          String name,
                          String destinationBasketId)
                            throws Exception

      Throws:
        `Exception`

    - #### reCalculateEnvelopeFromCellIds

          ClientEnvelope reCalculateEnvelopeFromCellIds(List<String> cellsId,
                                                      String SpeciesId)
                                                        throws Exception

      Throws:
        `Exception`

    - #### reCalculateGoodCells

          ClientEnvelope reCalculateGoodCells(String bb,
                                            String faoSelection,
                                            String speciesId,
                                            boolean useBottom,
                                            boolean useBounding,
                                            boolean useFAO)
                                              throws Exception

      Throws:
        `Exception`

    - #### deleteSubmittedById

          Integer deleteSubmittedById(List<Integer> submittedId)
                                      throws Exception

      Throws:
        `Exception`

    - #### checkGIS

          GISViewerParameters checkGIS(int job)
                                       throws Exception

      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.